Commit 5d57d74c authored by Abhilash Raj's avatar Abhilash Raj

Update README and NEWS files.

parent e9d8f6b4
Pipeline #8550099 passed with stage
in 1 minute and 43 seconds
......@@ -21,16 +21,12 @@ Mailman Client
The ``mailmanclient`` library provides official Python bindings for the GNU
Mailman 3 REST API.
Note that the test suite current requires that a Mailman 3 server be running.
It should be running using a dummy or throw-away database, as this will make
changes to the running system. TBD: mock the real Mailman engine so that it
is not necessary in order to run these tests.
Requirements
============
``mailmanclient`` requires Python 2.6 or newer.
``mailmanclient`` requires Python 2.6 or Python 2.7. Python3 support is on its
way and will be added soon.
Project details
......
......@@ -7,6 +7,7 @@ NEWS for mailman.client
* Bug fixes.
* Align with Mailman 3.1 Core REST API.
* Python3 compatibility is broken because of a urllib bug.
1.0.1 (2015-11-14)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment